<?php

namespace Dac\Manager;


use Dac\Client\DACClient;
use Dac\Exception\DACException;

class BaseManager
{
    public DACClient $dacClient;

    /**
     * @param $dacClient
     */
    public function __construct(DACClient $dacClient)
    {
        if (empty($dacClient)) {
            throw new DACException("Client is empty");
        }
        $this->dacClient = $dacClient;
    }

}