<?php

namespace Dac\Model;

class ID
{
    public string $id;

    const MinUnicodeValue = 0;

    public function __construct(string $collectionIndex, string $tokenId)
    {
        $this->id = $collectionIndex . $this->getSplitFlag() . $tokenId;
    }

    /**
     * @return string
     */
    public function getId(): string
    {
        return $this->id;
    }

    private function getSplitFlag()
    {
        return chr(self::MinUnicodeValue);
    }


}