<?php

namespace Dac\Model;

class IdentityInfo
{
    public string $cert;
    public string $key;
    public string $address;

    /**
     * @param string $cert
     * @param string $key
     * @param string $address
     */
    public function __construct(string $cert, string $key, string $address)
    {
        $this->cert = $cert;
        $this->key = $key;
        $this->address = $address;
    }

    /**
     * @return string
     */
    public function getCert(): string
    {
        return $this->cert;
    }

    /**
     * @return string
     */
    public function getKey(): string
    {
        return $this->key;
    }

    /**
     * @return string
     */
    public function getAddress(): string
    {
        return $this->address;
    }


}