<?php

namespace Dac\Model;

class ParentInfo
{
    public string $parentOwner;
    public string $parentCollectionIndex;
    public string $parentTokenID;

    const ERC998MagicValueLength = 24;

    /**
     * @param \stdClass $stdClass
     */
    public function __construct(\stdClass $stdClass)
    {
        $this->parentOwner = $stdClass->parentOwner;
        $this->parentCollectionIndex = $stdClass->parentCollectionIndex;
        $this->parentTokenID = $stdClass->parentTokenID;
    }

    /**
     * @return string
     */
    public function getParentOwner(): string
    {
        return substr($this->parentOwner, self::ERC998MagicValueLength);
        return $this->parentOwner;
    }

    /**
     * @return string
     */
    public function getParentCollectionIndex(): string
    {
        return $this->parentCollectionIndex;
    }

    /**
     * @return string
     */
    public function getParentTokenID(): string
    {
        return $this->parentTokenID;
    }

}
