<?php

namespace Dac\Model;

class MintResp
{
    public NFT $nft;
    public string $txid;

    /**
     * @param NFT $nft
     * @param string $txid
     */
    public function __construct($nft, string $txid)
    {
        $this->nft = $nft;
        $this->txid = $txid;
    }

    /**
     * @return NFT
     */
    public function getNft(): NFT
    {
        return $this->nft;
    }

    /**
     * @return string
     */
    public function getTxid(): string
    {
        return $this->txid;
    }


}